await seam.thermostats.updateWeeklyProgram({
device_id: "076546e8-966c-47dd-831b-8d98413bf070",
monday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
tuesday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
wednesday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
thursday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
friday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
saturday_program_id: "3bf5a788-caf8-40c5-a7d5-78b72e9b3a28",
sunday_program_id: "3bf5a788-caf8-40c5-a7d5-78b72e9b3a28",
});
/*
{
"action_attempt_id": "a1b2c3d4-e5f6-4a3b-2c1d-0e9f8a7b6c5d",
"action_type": "PUSH_THERMOSTAT_PROGRAMS",
"error": null,
"result": {},
"status": "success"
}
*/{
"action_attempt": {
"action_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_type": "PUSH_THERMOSTAT_PROGRAMS",
"status": "pending",
"result": {},
"error": {
"type": "<string>",
"message": "<string>"
}
}
}Update the Thermostat Weekly Program
Updates the thermostat weekly program for a thermostat device. Seam API reference: POST /thermostats/update_weekly_program.
await seam.thermostats.updateWeeklyProgram({
device_id: "076546e8-966c-47dd-831b-8d98413bf070",
monday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
tuesday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
wednesday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
thursday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
friday_program_id: "a36dccaa-aeb9-47da-bf1d-43a08ba5c870",
saturday_program_id: "3bf5a788-caf8-40c5-a7d5-78b72e9b3a28",
sunday_program_id: "3bf5a788-caf8-40c5-a7d5-78b72e9b3a28",
});
/*
{
"action_attempt_id": "a1b2c3d4-e5f6-4a3b-2c1d-0e9f8a7b6c5d",
"action_type": "PUSH_THERMOSTAT_PROGRAMS",
"error": null,
"result": {},
"status": "success"
}
*/{
"action_attempt": {
"action_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_type": "PUSH_THERMOSTAT_PROGRAMS",
"status": "pending",
"result": {},
"error": {
"type": "<string>",
"message": "<string>"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
ID of the thermostat device for which you want to update the weekly program.
ID of the thermostat daily program to run on Fridays.
ID of the thermostat daily program to run on Mondays.
ID of the thermostat daily program to run on Saturdays.
ID of the thermostat daily program to run on Sundays.
ID of the thermostat daily program to run on Thursdays.
ID of the thermostat daily program to run on Tuesdays.
ID of the thermostat daily program to run on Wednesdays.
Response
OK
Tracks the progress of this operation. Poll using the action_attempt_id. See the action_attempt object.
Show child attributes
Show child attributes
Was this page helpful?